Description

Hello,

One of usefull evolution for the rotate feature's function in qgis would be to snapp on hover on the anchor point that we want.

On my exemple : I want to rotate a segment with the anchor point on the end of the segment.

So I have to Use Rotate Feature(s) to rotate one or multiple features in the map canvas. Press the rotateFeature Rotate Feature(s) icon

and then click on the feature to rotate. Either click on the map to place the rotated feature or enter an angle in the user input widget. 

If you enable the map tool with feature(s) selected, its (their) centroid appears and will be the rotation anchor point.If you want to

move the anchor point, hold the Ctrl button and click on the map to place it. (in this manipulation, i can't snapp my mouse

pointers on the end of my segment, I have to manually zoom in on it and approximatively clickin on it)

What do you think about this evolution ?

Best regards

Léo

Related issues:

Duplicated by QGIS Application - Feature request # 19245: snapping on hover w... Closed 2018-06-22

History

#1 - 2018-06-04 02:30 PM - Léo Chevrier

this evolution can take part in a multiples action in QGIS, ... we can imagine if a computer key would be affiliated as the snapping function. When we press

on it, we could snapp on all summits and segments presents on our project.

#2 - 2018-06-22 07:30 PM - Harrissou Santanna

- Duplicated by Feature request #19245: snapping on hover when we want to rotate features depending a specific anchor point added

#3 - 2019-01-21 12:35 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Feedback to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

#5 - 2019-03-21 10:46 AM - Harrissou Santanna

- Status changed from Closed to Reopened

- Tracker changed from Bug report to Feature request

- Category changed from Vectors to Digitising

- Resolution deleted (end of life)

This is more of a missing feature than a bug and still valid for >3.4
